Name:           cutecom
Summary:        A graphical serial terminal, like minicom or Hyperterminal on Windows
Version:        0.40.0
Release:        %mkrel 1
License:        GPLv3+
Group:          Communications/Serial
URL:            https://github.com/neundorf/CuteCom
Source0:        https://github.com/neundorf/CuteCom/releases/download/v%{version}/%{name}-%{version}.tgz
Patch0:         %{name}-0.40.0-mga-fixinstall.patch

BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5SerialPort)
BuildRequires:  pkgconfig(Qt5Widgets)

# Required for xmodem support
Requires:       lrzsz

%description
CuteCom is a graphical serial terminal, like minicom or Hyperterminal on
Windows. It is aimed mainly at hardware developers or other people who need
a terminal to talk to their devices.

%prep
%setup -q
%autopatch -p1

%build
%cmake_qt5
%make_build

%install
%make_install -C build

# Upstream script does not install the .desktop file if KDE is not installed,
# so we install it manually:
desktop-file-install \
   --remove-key=Path --remove-key=Encoding \
   --add-category=System \
   --dir %{buildroot}%{_datadir}/applications/ \
   cutecom.desktop

%files
%doc README.md Changelog TODO
%license LICENSE
%{_bindir}/cutecom
%{_mandir}/man1/cutecom.1*
%{_datadir}/applications/cutecom.desktop
%{_iconsdir}/hicolor/scalable/apps/cutecom.svg


%changelog
* Sun Feb 12 2017 daviddavid <daviddavid> 0.40.0-1.mga6
+ Revision: 1085811
- new version: 0.40.0 (Qt5 based)
- port to Qt5
- update URL and Source URL
- rename and rebase mga-fixinstall patch

* Sat Feb 06 2016 umeabot <umeabot> 0.22.0-4.mga6
+ Revision: 940714
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.22.0-3.mga5
+ Revision: 747719
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.22.0-2.mga5
+ Revision: 678642
- Mageia 5 Mass Rebuild

* Sun Nov 24 2013 akien <akien> 0.22.0-1.mga4
+ Revision: 552701
- Mageiafication of the Fedora spec file
- imported package cutecom

